Subject: PATCH: Wuarchive-ftpd 2.3
From: [email-masked] (Damien P. Neil)
Date: Sun, 10 Apr 1994 17:58:09 GMT
Newsgroups: comp.os.linux.announce

I have made some patches to Wuarchive-ftpd 2.3 so that it compiles
cleanly under Linux. The stock distribution has several simple errors
that prevent it from building. While there is nothing that would
cause trouble for a moderately experienced programmer, I suspect that
novices would have a very hard time tracking down the errors.

I would like to contact the maintainer of wu-ftpd in order to have
these patches integrated back into the standard source distribution.
Unfortunately, I cannot seem to find an address to send my patches
to. If anyone knows where I should direct them, I would be much
obliged.

Wu-ftpd is available from:
     ftp.uu.net:/networking/ftp/wuarchive-ftpd/wu-ftpd-2.3.tar.Z

           - Damien

--- begin included file
diff -r --context wu-ftpd-2.3-old/src/config/config.lnx wu-ftpd-2.3/src/config/config.lnx
*** wu-ftpd-2.3-old/src/config/config.lnx	Fri Apr  1 14:03:38 1994
--- wu-ftpd-2.3/src/config/config.lnx	Fri Apr  8 22:28:57 1994
***************
*** 17,27 ****
  #define UPLOAD
  #undef  USG
  #define SVR4
  
  #include <varargs.h>
  #include <bsd.h>
  
! typedef	int	mode_t
! typedef int SIGNAL_TYPE
  
  #include "../config.h"
--- 17,27 ----
  #define UPLOAD
  #undef  USG
  #define SVR4
+ #define FACILITY LOG_DAEMON
  
  #include <varargs.h>
  #include <bsd.h>
  
! typedef void SIGNAL_TYPE;
  
  #include "../config.h"
diff -r --context wu-ftpd-2.3-old/src/ftpd.c wu-ftpd-2.3/src/ftpd.c
*** wu-ftpd-2.3-old/src/ftpd.c	Fri Apr  1 14:03:40 1994
--- wu-ftpd-2.3/src/ftpd.c	Fri Apr  8 22:19:42 1994
***************
*** 54,62 ****
--- 54,64 ----
  #include <sys/priv.h>
  #endif
  
+ #ifndef LINUX
  #include <netinet/in.h>
  #include <netinet/in_systm.h>
  #include <netinet/ip.h>
+ #endif
  
  #define FTP_NAMES
  #include <arpa/ftp.h>
diff -r --context wu-ftpd-2.3-old/src/makefiles/Makefile.lnx wu-ftpd-2.3/src/makefiles/Makefile.lnx
*** wu-ftpd-2.3-old/src/makefiles/Makefile.lnx	Fri Apr  1 14:03:31 1994
--- wu-ftpd-2.3/src/makefiles/Makefile.lnx	Fri Apr  8 22:27:52 1994
***************
*** 1,7 ****
  CC       = gcc
  IFLAGS   = -I.. -I../support -I/usr/include/bsd
  LFLAGS   = -L../support
! CFLAGS   = -O -DDEBUG ${IFLAGS} ${LFLAGS}
  LIBES    = -lsupport -lbsd
  LIBC     = /usr/lib/libc.a
  LINTFLAGS=	
--- 1,7 ----
  CC       = gcc
  IFLAGS   = -I.. -I../support -I/usr/include/bsd
  LFLAGS   = -L../support
! CFLAGS   = -O2 -DDEBUG ${IFLAGS} ${LFLAGS}
  LIBES    = -lsupport -lbsd
  LIBC     = /usr/lib/libc.a
  LINTFLAGS=	
diff -r --context wu-ftpd-2.3-old/support/makefiles/Makefile.lnx wu-ftpd-2.3/support/makefiles/Makefile.lnx
*** wu-ftpd-2.3-old/support/makefiles/Makefile.lnx	Fri Apr  1 14:03:52 1994
--- wu-ftpd-2.3/support/makefiles/Makefile.lnx	Fri Apr  8 22:28:41 1994
***************
*** 2,18 ****
  AR     = ar cq
  RANLIB = ranlib
  LIBC   = /lib/libc.a
! IFLAGS = 
  LFLAGS = 
! CFLAGS = -O -DDEBUG ${IFLAGS} ${LFLAGS}
  
  SRCS   = getusershell.c fnmatch.c strcasestr.c strerror.c authuser.c ftw.c
  OBJS   = getusershell.o fnmatch.o strcasestr.o strerror.o authuser.o ftw.o
   
  all: $(OBJS)
!  	-rm -f libsupport.a
!  	${AR} libsupport.a $(OBJS)
!  	${RANLIB} libsupport.a
   
  clean:
  	-rm -f *.o libsupport.a
--- 2,18 ----
  AR     = ar cq
  RANLIB = ranlib
  LIBC   = /lib/libc.a
! IFLAGS = -I/usr/include/bsd
  LFLAGS = 
! CFLAGS = -O2 -DDEBUG ${IFLAGS} ${LFLAGS}
  
  SRCS   = getusershell.c fnmatch.c strcasestr.c strerror.c authuser.c ftw.c
  OBJS   = getusershell.o fnmatch.o strcasestr.o strerror.o authuser.o ftw.o
   
  all: $(OBJS)
! 	-rm -f libsupport.a
! 	${AR} libsupport.a $(OBJS)
! 	${RANLIB} libsupport.a
   
  clean:
  	-rm -f *.o libsupport.a
--- end included file

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.